Subject: bug#3983: 23.1; configured frame size not respected

From: Tim Van Holder <[email-masked]>
Date: Sun, 18 Sep 2011 18:17:57 +0200

On 18 September 2011 14:00, Tim Van Holder <[email-masked]> wrote:
> On 17 September 2011 08:54, Lars Magne Ingebrigtsen <[email-masked]> wrote:
>> Tim Van Holder <[email-masked]> writes:
>>
>>> I have default-frame-alist configured with width=132 and height=70.
>>> This has always worked in the past (official emacs 22.1 binary on Win32).
>>>
>>> However, with emacs 23.1, the initial frame is always the wrong size
>>> (hard to tell exactly on Windows, but it looks like 80x40). Same goes if
>>> initial-frame-alist gets configured for 132x70.
>>> Creating a new frame after the first (C-x 5 2) does create a properly
>>> sized frame.
>>
>> If this bug still exists, could you post an easy-to-reproduce test case?
>
> Current version I'm using is 23.1.1.
>
> As for the test case: It seems to be face related. Customizing only
> the default frame alist works fine. But I also have the default face
> customized, and that seems to mess things up.
> If I set up my .emacs to contain only
>
> (custom-set-variables '(default-frame-alist (quote ((width . 132)
> (height . 60) (background-color . "black") (foreground-color .
> "white") (cursor-color . "white")))))
> (custom-set-faces '(default ((t (:background "black" :foreground
> "white" :height 100 :family "outline-lucida console")))))
>
> I see the issue (particularly clear when you do C-x 5 2 - the new
> frame will be considerably bigger than the first).
>
> I'll check if there's a more recent build available, and whether or
> not that changes anything.

I downloaded the latest release available from gnu.org (23.3) and the
issue is still present.